package intcode

import "fmt"

type Program struct {
	code []int
	ptr  int
}

func NewProgram(prog []int) *Program {
	p := new(Program)
	p.code = make([]int, len(prog))
	copy(p.code, prog)
	return p
}

func (p *Program) CodeString() string {
	return fmt.Sprintf("%v", p.code)
}
